import { ApiClient } from '@common';
import { Event } from '@events';
export declare enum EventType {
    Comment = "Comment",
    AddCrashDefect = "AddCrashDefect",
    RemoveCrashDefect = "RemoveCrashDefect",
    AddStackKeyDefect = "AddStackKeyDefect",
    RemoveStackKeyDefect = "RemoveStackKeyDefect"
}
export declare class EventsApiClient {
    private _client;
    constructor(_client: ApiClient);
    getEventsForCrashId(database: string, crashId: number): Promise<Array<Event>>;
    getEventsForStackKeyId(database: string, stackKeyId: number): Promise<Array<Event>>;
    private getEvents;
}
