import { ApiClient, UploadableFile, BugSplatResponse } from '@common';
export declare class SymbolsApiClient {
    private _client;
    private readonly route;
    private _s3ApiClient;
    private _timer;
    constructor(_client: ApiClient);
    deleteSymbols(database: string, application: string, version: string): Promise<BugSplatResponse>;
    postSymbols(database: string, application: string, version: string, files: Array<UploadableFile>): Promise<Array<BugSplatResponse>>;
    private getPresignedUrl;
}
