import { ApiClient } from '@common';
import { CrashDetails } from '@crash';
export declare class CrashApiClient {
    private _client;
    constructor(_client: ApiClient);
    getCrashById(database: string, crashId: number): Promise<CrashDetails>;
    reprocessCrash(database: string, crashId: number, force?: boolean): Promise<{
        success: boolean;
    }>;
}
