import { EventStreamEvent, EventStreamEventAssign, EventStreamEventComment, EventStreamEventStatus } from '@events';
export declare type Event = EventStreamEvent | EventStreamEventAssign | EventStreamEventComment | EventStreamEventStatus;
export interface EventResponseObject {
    id: string;
    type: string;
    timestamp: string;
    firstName?: string;
    lastName?: string;
    username: string;
    message: string;
}
export declare function convertEventsToEventStreamEvents(eventsArray: Array<EventResponseObject>): Array<Event>;
